Bug 447887 - mutt hangs within gnutls with no possibility of interrupt/recover it
mutt hangs within gnutls with no possibility of interrupt/recover it
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mutt (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 06:25 EDT by Jindrich Novy
Modified: 2013-07-02 19:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-02 06:54:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jindrich Novy 2008-05-22 06:25:10 EDT
Description of problem:
A typical scenario is when you run mutt with remote IMAP via VPN and the
connection terminates while mutt performs read from the IMAP server. The result
is that mutt simply hangs with no possibility of interrupting it with ^C and
there dooesn't seem to be any timeout so that mutt hangs forever. The only way
is to kill mutt, which then leaves a handful of temporary files in /tmp.

Version-Release number of selected component (if applicable):
mutt-1.5.18-1.fc10.x86_64

How reproducible:
always

Steps to Reproduce:
1. run mutt with remote imap via vpnc
2. change to a non-empty folder
3. kill vpnc so that the connection is reset
  
Actual results:
mutt hangs forever

Expected results:
mutt times out/displays error, is usable after vpnc recovery.

Additional info:
Comment 1 Miroslav Lichvar 2008-05-23 06:02:30 EDT
I've proposed a patch here:
http://dev.mutt.org/trac/ticket/2064
Comment 2 Miroslav Lichvar 2008-06-02 06:54:02 EDT
The patch is included in mutt-1.5.18-2.
Comment 3 Fedora Update System 2008-06-02 07:20:54 EDT
mutt-1.5.18-2.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-06-02 07:21:28 EDT
mutt-1.5.18-2.fc9 has been submitted as an update for Fedora 9
Comment 5 Fedora Update System 2008-06-16 19:31:18 EDT
mutt-1.5.18-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-06-16 19:31:30 EDT
mutt-1.5.18-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.